Subject: Re: [PATCH] booting-without-of: add Xilinx uart 16550.

From: Pavel Kiryukhin <[email-masked]>
Date: Fri, 15 Feb 2008 20:41:03 +0300

Stephen Neuendorffer wrote:
>> +       - reg-shift : registers offset shift (standard uart_port
> field).
>> +         Property is optional if regshift is zero.
> 
> I was hoping to get an idea of what is required here, or when I might
> use it?
> 
> It looks like the ARCH=ppc code instantiates this with a reg-shift of
> 2...  Is this the expected value?  

Yes, reg-shift = 2 should be set for Xilinx 16550 uart. 
Should I add this to patch?

BTW regshift=2 is hardcoded for uartlite.

> When would it be not zero? or not
> two?
Sorry, it seems I don't follow here. 
--
Regards,
Pavel